2006-11-20  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.22 released.

2006-11-19  Steve Youngs  <steve@sxemacs.org>

	* edebug.el (edebug-read-function): Add ?r to make edebug work
	with SXEmacs raw strings.

2004-07-05  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.21 released.

2004-07-01  Jerry James  <james@xemacs.org>

	* Makefile (REQUIRES): Add xemacs-devel for find-function-noselect.
	* cl-specs.el: Synch with Emacs 21.3.
	* cl-specs.el (when): Removed, because declared in cl.el.
	* cl-specs.el (unless): Ditto.
	* cl-specs.el (cl-lambda-list): Replace nonsensical
	&allow-other-keywords with CL &allow-other-keys.
	* cl-specs.el (cl-macro-list): Ditto.
	* cl-specs.el (cl-macro-list1): Ditto.
	* cust-print.el: Synch with Emacs 21.3.  Globally change CP::* to
	cust-print-* and (un)install-custom-print to
	custom-print-(un)install.
	* cust-print.el (cust-print): New customize group.
	* cust-print.el (defalias): Only define if not already defined.
	* cust-print.el (print-level): Customize.
	* cust-print.el (print-circle): Ditto.
	* cust-print.el (custom-print-vectors): Ditto.
	* cust-print.el (uninstall-custom-print-funcs): Removed.
	* cust-print.el (with-custom-print): Remove extra parens.
	* cust-print.el (custom-prin1-to-string): Add optional noescape
	parameter.
	* edebug.el: Synch with Emacs CVS of 30 June 2004
	* edebug.el (edebug-window-list): Use push.
	* edebug.el (edebug-macrop): Simplify with functionp.
	* edebug.el (edebug-functionp): Removed.
	* edebug.el (edebug-get-displayed-buffer-points): Use push.
	* edebug.el (edebug-set-buffer-points): Use save-current-buffer.
	Test for buffer existence with buffer-live-p.
	* edebug.el (edebug-eval-defun): Handle defface.
	* edebug.el (edebug-next-token-class): Use char-after instead of
	following-char.
	* edebug.el (edebug-skip-whitespace): Ditto.
	* edebug.el (edebug-offsets): Should be defvar, not defconst.
	* edebug.el (edebug-offsets-stack): Ditto.
	* edebug.el (edebug-current-offset): Ditto.
	* edebug.el (edebug-read-dotted-list): Ditto.
	* edebug.el (edebug-read-storing-offsets): Inline class and func
	definitions.
	* edebug.el (edebug-read-quote): Fix off-by-one error.
	* edebug.el (edebug-read-backquote-level): New variable.
	* edebug.el (edebug-read-backquote): Read new-style backquotes.
	* edebug.el (edebug-read-backquote-new): Removed.
	* edebug.el (edebug-read-comma): Use char-after, instead of
	following-char.
	* edebug.el (edebug-read-function): Ditto.
	* edebug.el (edebug-read-list): New way of handling old style
	backquotes.
	* edebug.el (edebug-read-vector): Use push.
	* edebug.el (edebug-copy-cursor): Remove extraneous quote.
	* edebug.el (edebug-def-name): Should be defvar, not defconst.
	* edebug.el (edebug-old-def-name): Ditto.
	* edebug.el (edebug-error-point): Ditto.
	* edebug.el (edebug-best-error): Ditto.
	* edebug.el (edebug-make-before-and-after-form): Remove
	edebug-error-expected.
	* edebug.el (edebug-list-form): Fix handling of empty list.
	* edebug.el (defmacro): Handle Emacs-style declarations.
	* edebug.el (define-derived-mode): Handle new keywords.
	* edebug.el (define-minor-mode): Handle new keywords.
	* edebug.el (define-skeleton): Removed.
	* edebug.el (backquote-form): Handle `(a . ,b).
	* edebug.el (edebug-error-expected): Removed.
	* edebug.el (edebug-debugger): Remove edebug-error-expected.
	* edebug.el (edebug-display): Handle killed buffers.  Use
	char-after instead of following-char.
	* edebug.el (edebug-recursive-edit): zmacs-deactivate-region is
	defined for all XEmacs 21.x versions.
	* edebug.el (edebug-forward-sexp): Remove edebug-error-expected.
	* edebug.el (edebug-step-out): Ditto.
	* edebug.el (edebug-instrument-function): find-function-noselect
	is always defined, due to dependency on xemacs-devel.
	* edebug.el (edebug-safe-eval): Remove edebug-error-expected.
	* edebug.el (gud-inhibit-global-bindings): New.
	* edebug.el (edebug-mode-map): Initialize when declared.
	* edebug.el (global-edebug-map): Ditto.
	* edebug.el (edebug-update-eval-list): Use char-after instead of
	following-char.
	* edebug.el (edebug): Remove edebug-error-expected.
	* edebug.el (edebug-display-freq-count): Use char-after instead of
	following-char.

2003-10-31  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.20 released.

2003-09-10  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.19 released.

2003-09-08  Mike Sperber  <mike@xemacs.org>

	* edebug.el (edebug-var-status): Added
	(edebug-restore-status): Added.
	(edebug-enter): 
	(edebug-outside-excursion): Use above.
	Correctly handle {pre,post}-command-hook, as per RMS's
	suggestion at:
        http://article.gmane.org/gmane.emacs.pretest.bugs/1010

2003-06-01  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.18 released.

2003-05-31  Adrian Aichner  <adrian@xemacs.org>

	* edebug.el (edebug-mode-menus): Indentation fix.

2003-03-09  Ben Wing  <ben@xemacs.org>

	* Makefile:
	Delete explicit compile:: and binkit: rules.
	Don't add custom-load.elc to the list of generated elc's.

2003-03-02  Norbert Koch  <nk@viteno.net>

	* Makefile (VERSION): XEmacs package 1.17 released.

	* Makefile (VERSION): XEmacs package 1.16 released.

2003-02-14  Ben Wing  <ben@xemacs.org>

	* edebug.el:
	* edebug.el (edebug-window-live-p): Removed.
	* edebug.el (edebug-eval-defun):
	* edebug.el (edebug-eval-top-level-form):
	* edebug.el (edebug-read-function):
	* edebug.el (edebug-make-before-and-after-form):
	* edebug.el (delay-mode-hooks): New.
	* edebug.el (edebug-error-expected): New.
	* edebug.el (edebug-debugger):
	* edebug.el ('edebug-mark): Removed.
	* edebug.el ('edebug-mark-marker): Removed.
	* edebug.el (edebug-set-global-break-condition):
	* edebug.el (edebug-set-conditional-breakpoint): Removed.
	* edebug.el (edebug-forward-sexp):
	* edebug.el (edebug-step-out):
	* edebug.el (edebug-instrument-function):
	* edebug.el (edebug-safe-eval):
	* edebug.el (edebug-eval-expression):
	* edebug.el (edebug):
	* edebug.el (edebug-mode-menus):
	* edebug.el ('edebug-window-live-p): New.
	* edebug.el (edebug-mark): New.
	* edebug.el (edebug-mark-marker): New.
	* edebug.el (edebug-emacs-19-specific): Removed.
	* edebug.el (edebug-xemacs-specific): Removed.
	* edebug.el (edebug-emacs-version-specific): Removed.
	* edebug.el (edebug-mode-menu): New.
	* edebug.el (edebug-mode-map): New.
	Sync up to FSF 21.3.50.  Remove bogus use of get-window-with-predicate.
	Add edebug-error-expected in an attempt to catch internal errors in
	edebug. (Previously, an error would simply result in nothing happening,
	with no indication that such an error had occurred.) When an internal
	error happens, display a message indicating this and enter the
	(standard) debugger.

2003-01-03  Rendhalver [Peter Brown]  <rendhalver@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.15 released.

2002-11-29  Ben Wing  <ben@xemacs.org>

	* .cvsignore: Remove files now handled automatically by CVS.
	* Makefile: Use `compile' instead of hard-coded `all'.

	* cl-specs.el:
	* cl-specs.el (cl-macro-list):
	* cl-specs.el (cl-macro-list1):
	Fix some problems with `loop' macros.
	
	* edebug.el:
	* edebug.el (edebug-version): Removed.
	* edebug.el (edebug-maintainer-address): Removed.
	* edebug.el (edebug-submit-bug-report): Removed.
	* edebug.el ('edebug-submit-bug-report): New.
	* edebug.el (def-edebug-spec):
	* edebug.el (edebug-lambda-list-keywordp):
	* edebug.el (edebug-keywordp): Removed.
	* edebug.el (edebug-window-list):
	* edebug.el (edebug-window-live-p):
	* edebug.el (edebug-get-displayed-buffer-points):
	* edebug.el (edebug-eval-defun):
	* edebug.el (edebug-install-read-eval-functions):
	* edebug.el (edebug-uninstall-read-eval-functions):
	* edebug.el (edebug-storing-offsets):
	* edebug.el (edebug-wrap-def-body):
	* edebug.el (edebug-make-enter-wrapper):
	* edebug.el (edebug-form):
	* edebug.el (edebug-spec):
	* edebug.el (define-derived-mode): New.
	* edebug.el (define-minor-mode): New.
	* edebug.el (with-syntax-table): New.
	* edebug.el (dolist): New.
	* edebug.el (dotimes): New.
	* edebug.el (push): New.
	* edebug.el (pop): New.
	* edebug.el (unless): New.
	* edebug.el (when): New.
	* edebug.el (easy-menu-define): New.
	* edebug.el (with-custom-print): New.
	* edebug.el (sregexq): New.
	* edebug.el (rx): New.
	* edebug.el (edebug-tracing):
	* edebug.el (edebug-outside-current-prefix-arg):
	* edebug.el (edebug-outside-current-prefix-arg)): New.
	* edebug.el (edebug-recursive-edit):
	* edebug.el (edebug-changing-windows):
	* edebug.el (edebug-outside-excursion):
	* edebug.el (edebug-mode-menus):
	* edebug.el (edebug-emacs-19-specific):
	* edebug.el (edebug-emacs-version-specific):
	Sync with FSF 21.1.

2002-10-15  Ville Skyttä  <scop@xemacs.org>

	* Makefile (srckit): Remove.

2002-07-17  Ville Skyttä  <scop@xemacs.org>

	* cl-specs.el: Partial synch with GNU Emacs 21.2.
	(def-edebug-spec function-form): Handle #' function quoting.
	Thanks to John Paul Wallington for pointing this out.

2001-07-16  Charles G Waldman	<cgw@xemacs.org>

        * edebug.el (edebug-form-data):  Correct initialization order.
	Define variable before making it buffer-local.

2000-11-10  Yoshiki Hayashi  <yoshiki@xemacs.org>

	* edebug.el (function-form): Add function*.
	(edebug-read-function): Handle #b101 notation.
	(edebug-emacs-19-specific): Sync with Emacs 20.7.
	This function is not used by XEmacs so don't change it.

2000-11-07  Martin Buchholz  <martin@xemacs.org>

	* edebug.el: Doc fixes.

2000-10-05  Martin Buchholz  <martin@xemacs.org>

	* *: Mega typo fix.

2000-04-21   Daiki Ueno  <ueno@unixuser.org>

	* edebug.el: Synch with GNU Emacs 20.6.

1999-12-05  Andreas Jaeger  <aj@suse.de>

	* edebug-test.el (test): Replace obsolete allocate-event with
	make-event.
	(popup-menu-synchronously): Likewise.
	Patch by Martin Buchholz <martin@xemacs.org>.

1998-03-12  SL Baur  <steve@altair.xemacs.org>

	* edebug.el (edebug-next-token-class): Give all multibyte
	characters symbol token class.
	(edebug-read-symbol): Ditto.
	(edebug-read-sexp): Ditto.

1998-01-24  SL Baur  <steve@altair.xemacs.org>

	* Makefile (VERSION): Update to package standard 1.0.
	* package-info.in: Ditto.

1998-01-11  SL Baur  <steve@altair.xemacs.org>

	* Makefile: Update to newer package interface.

1998-01-02  SL Baur  <steve@altair.xemacs.org>

	* Makefile: Update to newer package interface.

1997-12-23  SL Baur  <steve@altair.xemacs.org>

	* Makefile: Created.
